--- old/usr/src/uts/sparc/dtrace/fbt.c	2015-04-17 12:29:35.192769826 -0400
+++ new/usr/src/uts/sparc/dtrace/fbt.c	2015-04-17 12:29:35.204813220 -0400
@@ -1657,6 +1657,16 @@
 		if ((pfp = ctf_modopen(mod->mod_mp, &error)) == NULL)
 			goto err;
 
+		/*
+		 * If the parent module does not have the label we expect,
+		 * ignore it and fail to avoid presenting non-sensical data.
+		 */
+		if (ctf_label_info(pfp, ctf_parent_label(fp),
+		    NULL) == CTF_ERR) {
+			ctf_close(pfp);
+			goto err;
+		}
+
 		if (ctf_import(fp, pfp) != 0) {
 			ctf_close(pfp);
 			goto err;
